> ## Documentation Index
> Fetch the complete documentation index at: https://vas-partner-api-docs.finpaytech.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Current User



## OpenAPI

````yaml /openapi.json get /api/v1/auth/me
openapi: 3.1.0
info:
  title: Emaal Virtual Accounts API
  version: 1.0.0
  description: Merchant collection APIs. Base URL https://vas.finpaytech.co/business-api
servers:
  - url: https://vas.finpaytech.co/business-api
    description: Production
security:
  - bearerAuth: []
tags:
  - name: Authentication
  - name: Virtual Accounts
  - name: Customers
  - name: Invoice VA
  - name: Payer Instructions
  - name: Payments
  - name: Webhooks
paths:
  /api/v1/auth/me:
    get:
      tags:
        - Authentication
      summary: Get Current User
      operationId: me
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UserResponse'
              example:
                id: 3fa85f64-5717-4562-b3fc-2c963f66afa6
                email: merchant@example.com
                firstName: Ada
                lastName: Mwangi
                role: PLAIN_MERCHANT
                merchantId: 301f0991-8f7c-4501-a1d4-c317fe7b7f23
                subMerchantId: null
                active: true
components:
  schemas:
    UserResponse:
      type: object
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: PASETO
      description: Access token from POST /api/v1/auth/login

````